package io.gitlab.jfronny.muscript.data.dynamic;

import io.gitlab.jfronny.muscript.compiler.ExprWriter;

import java.io.IOException;

public final class DNull implements Dynamic<Object> {
    @Override
    public Object getValue() {
        return null;
    }

    @Override
    public void serialize(ExprWriter writer) throws IOException {
        writer.append(toString());
    }

    @Override
    public String toString() {
        return "null";
    }
}
