package io.gitlab.jfronny.muscript.data.dynamic.additional;

import io.gitlab.jfronny.muscript.data.dynamic.Dynamic;

public abstract non-sealed class DContainer<T> implements Dynamic<T> {
    private T value;

    @Override
    public T getValue() {
        return value;
    }

    public T setValue(T value) {
        if (value != null)
            this.value = value;
        return this.value;
    }

    @Override
    public String toString() {
        return Dynamic.serialize(this);
    }
}
